# Update a rental discount plan rule Endpoint: PATCH /rental-discount-plan-rules/{rental_discount_plan_rule_id} Version: 2.22 Security: bearerAuth ## Path parameters: - `rental_discount_plan_rule_id` (integer, required) Rental discount plan rule identifier Example: 1 ## Request fields (application/json-patch+json): - `op` (string, required) The JSON Patch operation to be performed Enum: "add", "remove", "replace", "move", "copy", "test" - `path` (string, required) A JSON-Pointer - `value` (object) The value to be used within the operations - `from` (string) A string containing a JSON Pointer value ## Response 200 fields (application/json): - `id` (integer) Rental discount plan rule identifier Example: 1 - `rentalDiscountPlanId` (integer, required) Rental discount plan identifier Example: 1 - `productCategoryId` (integer, required) Product category identifier. The rule applies to all rental products in this category (unless rentalProductId is specified) Example: 1 - `rentalProductId` (integer) Rental product identifier. Optional - if specified, the rule applies only to this specific rental product within the category Example: 1 - `discountPercentage` (number, required) Discount percentage to apply (0-100) Example: 15 ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields